Components
Set a tag
Scope: component:publish
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Path Parameters
component_id*component_id
The component_id path parameter.
Match
^cmp-[0-9a-z]+$name*name
The name path parameter.
Match
^[A-Za-z0-9][A-Za-z0-9._+-]{0,127}$Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
SetTagRequest points a tag at a version. set_tag.tag_not_an_id // a tag cannot start with ver-, which marks a version id
Response Body
application/json
curl -X PUT "https://example.com/v1/components/string/tags/string" \ -H "Content-Type: application/json" \ -d '{ "digest": "string" }'{ "tag": { "name": "string", "digest": "string", "immutable": true, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}